public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "William Hubbs" <williamh@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-accessibility/espeak-ng/
Date: Sun, 13 Feb 2022 08:48:35 +0000 (UTC)	[thread overview]
Message-ID: <1644742109.5ce13b8297859a360466e7f8794d0bda12b0702c.williamh@gentoo> (raw)

commit:     5ce13b8297859a360466e7f8794d0bda12b0702c
Author:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sun Feb 13 08:38:04 2022 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Sun Feb 13 08:48:29 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5ce13b82

app-accessibility/espeak-ng: 1.50-r3 bump

- fix installation path of vimfiles
- fix removal of *.la files

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Anna Vyalkova <cyber+gentoo <AT> sysrq.in>
Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 .../espeak-ng/espeak-ng-1.50-r3.ebuild             | 85 ++++++++++++++++++++++
 1 file changed, 85 insertions(+)

diff --git a/app-accessibility/espeak-ng/espeak-ng-1.50-r3.ebuild b/app-accessibility/espeak-ng/espeak-ng-1.50-r3.ebuild
new file mode 100644
index 000000000000..cef1fe386ed7
--- /dev/null
+++ b/app-accessibility/espeak-ng/espeak-ng-1.50-r3.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Software speech synthesizer for English, and some other languages"
+HOMEPAGE="https://github.com/espeak-ng/espeak-ng"
+SRC_URI="https://github.com/espeak-ng/espeak-ng/archive/${PV}.tar.gz -> ${P}.tar.gz
+	https://dev.gentoo.org/~ulm/distfiles/${P}-ieee80.patch.xz"
+
+LICENSE="GPL-3+ unicode"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="+async +klatt l10n_ru l10n_zh man mbrola +sound"
+
+COMMON_DEPEND="
+	!app-accessibility/espeak
+	mbrola? ( app-accessibility/mbrola )
+	sound? ( media-libs/pcaudiolib )
+"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}
+	sound? ( media-sound/sox )
+"
+BDEPEND="
+	virtual/pkgconfig
+	man? ( || ( app-text/ronn-ng app-text/ronn ) )
+"
+
+PATCHES=( "${WORKDIR}"/${P}-ieee80.patch )
+
+DOCS=( CHANGELOG.md README.md docs )
+
+src_prepare() {
+	default
+
+	# disable failing tests
+	rm tests/{language-pronunciation,translate}.test || die
+	sed -i \
+		-e "/language-pronunciation.check/d" \
+		-e "/translate.check/d" \
+		Makefile.am || die
+
+	# https://github.com/espeak-ng/espeak-ng/issues/699
+	# fixed in master
+	sed -i -e "s/int samplerate;/static int samplerate;/" src/espeak-ng.c || die
+
+	eautoreconf
+}
+
+src_configure() {
+	local econf_args
+	econf_args=(
+		$(use_with async)
+		$(use_with klatt)
+		$(use_with l10n_ru extdict-ru)
+		$(use_with l10n_zh extdict-zh)
+		$(use_with l10n_zh extdict-zhy)
+		$(use_with mbrola)
+		$(use_with sound pcaudiolib)
+		--without-libfuzzer
+		--without-sonic
+		--disable-rpath
+		--disable-static
+	)
+	econf "${econf_args[@]}"
+}
+
+src_compile() {
+	# see docs/building.md
+	# The -j1s from compile/test/install may be droppable in next release
+	# (after 1.50). Several bugs have been fixed upstream in git.
+	emake -j1
+}
+
+src_test() {
+	emake check -j1
+}
+
+src_install() {
+	emake DESTDIR="${D}" VIMDIR=/usr/share/vim/vimfiles install -j1
+	find "${ED}" -name '*.la' -delete  || die
+}


             reply	other threads:[~2022-02-13  8:48 UTC|newest]

Thread overview: 48+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-02-13  8:48 William Hubbs [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-09  9:11 [gentoo-commits] repo/gentoo:master commit in: app-accessibility/espeak-ng/ WANG Xuerui
2025-03-08 18:00 Sam James
2025-03-08 16:56 Sam James
2025-03-08 15:33 Sam James
2025-03-08 11:57 Arthur Zamarin
2025-01-18 15:50 Sam James
2024-12-27 12:19 Sam James
2024-12-26 22:50 William Hubbs
2023-06-10 20:13 William Hubbs
2023-06-10 20:13 William Hubbs
2023-04-08 23:20 Sam James
2022-06-12  8:32 Agostino Sarubbo
2022-06-11  7:40 Agostino Sarubbo
2022-06-11  7:40 Agostino Sarubbo
2022-06-11  7:39 Agostino Sarubbo
2022-06-11  7:37 Agostino Sarubbo
2022-06-11  7:37 Agostino Sarubbo
2022-06-11  7:36 Agostino Sarubbo
2022-05-26  5:20 WANG Xuerui
2022-04-04  2:19 William Hubbs
2022-04-04  1:48 William Hubbs
2022-04-03 18:14 William Hubbs
2022-03-07  3:51 Sam James
2022-03-07  3:47 Sam James
2022-03-02  9:08 Agostino Sarubbo
2022-03-01 11:42 Jakov Smolić
2022-03-01 11:30 Agostino Sarubbo
2022-03-01 11:29 Agostino Sarubbo
2022-03-01 11:28 Agostino Sarubbo
2022-02-15 18:31 Matt Turner
2022-02-13  8:48 William Hubbs
2022-02-11 22:39 William Hubbs
2022-02-11 22:24 Ulrich Müller
2022-02-11  9:09 Ulrich Müller
2022-01-30 13:12 Yixun Lan
2022-01-29  7:14 Sam James
2022-01-29  4:32 Sam James
2022-01-29  3:56 Sam James
2022-01-29  3:55 Sam James
2022-01-28  7:14 Sam James
2021-10-10 22:22 Sam James
2021-09-07 18:59 Sam James
2021-09-07  2:32 Sam James
2021-07-28  2:39 Sam James
2021-07-15 22:20 Sergei Trofimovich
2021-07-07 17:10 William Hubbs
2021-06-30 22:08 William Hubbs

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1644742109.5ce13b8297859a360466e7f8794d0bda12b0702c.williamh@gentoo \
    --to=williamh@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox